import React, {FunctionComponent} from 'react';
import {IconProps} from "./Icon.types";

// This should definitely be better. If a lot of custom SVGs I prefer to use Fantasticon or just an existing icon library.

const Icon: FunctionComponent<IconProps> = ({name}) => {
    if (name === 'shopping_cart') {
        return <svg viewBox="0 0 18 18" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path
                d="M0.5 1.25C0.5 1.05109 0.579018 0.860322 0.71967 0.71967C0.860322 0.579018 1.05109 0.5 1.25 0.5H1.808C2.758 0.5 3.328 1.139 3.653 1.733C3.87 2.129 4.027 2.588 4.15 3.004C4.18327 3.00137 4.21663 3.00004 4.25 3H16.748C17.578 3 18.178 3.794 17.95 4.593L16.122 11.002C15.9581 11.5769 15.6114 12.0827 15.1343 12.4428C14.6572 12.803 14.0758 12.9979 13.478 12.998H7.53C6.92749 12.998 6.34165 12.8002 5.86252 12.4349C5.3834 12.0696 5.0375 11.557 4.878 10.976L4.118 8.204L2.858 3.956L2.857 3.948C2.701 3.381 2.555 2.85 2.337 2.454C2.128 2.069 1.96 2 1.809 2H1.25C1.05109 2 0.860322 1.92098 0.71967 1.78033C0.579018 1.63968 0.5 1.44891 0.5 1.25ZM7 18C7.53043 18 8.03914 17.7893 8.41421 17.4142C8.78929 17.0391 9 16.5304 9 16C9 15.4696 8.78929 14.9609 8.41421 14.5858C8.03914 14.2107 7.53043 14 7 14C6.46957 14 5.96086 14.2107 5.58579 14.5858C5.21071 14.9609 5 15.4696 5 16C5 16.5304 5.21071 17.0391 5.58579 17.4142C5.96086 17.7893 6.46957 18 7 18ZM14 18C14.5304 18 15.0391 17.7893 15.4142 17.4142C15.7893 17.0391 16 16.5304 16 16C16 15.4696 15.7893 14.9609 15.4142 14.5858C15.0391 14.2107 14.5304 14 14 14C13.4696 14 12.9609 14.2107 12.5858 14.5858C12.2107 14.9609 12 15.4696 12 16C12 16.5304 12.2107 17.0391 12.5858 17.4142C12.9609 17.7893 13.4696 18 14 18Z"
                fill="#171419"/>
        </svg>
    }

    if (name === 'eth') {
        return <svg width="17" height="17" viewBox="0 0 17 17" fill="none" xmlns="http://www.w3.org/2000/svg">
            <g clipPath="url(#clip0_210_85)">
                <path d="M8.35822 2.20129L8.27087 2.50071V11.1891L8.35822 11.2771L12.357 8.89312L8.35822 2.20129Z"
                      fill="#343434"/>
                <path d="M8.35843 2.20129L4.35962 8.89312L8.35843 11.2771V7.05999V2.20129Z" fill="#8C8C8C"/>
                <path d="M8.35891 12.0407L8.30969 12.1012V15.1962L8.35891 15.3412L12.3601 9.65796L8.35891 12.0407Z"
                      fill="#3C3C3B"/>
                <path d="M8.35843 15.3411V12.0406L4.35962 9.65784L8.35843 15.3411Z" fill="#8C8C8C"/>
                <path d="M8.3584 11.2771L12.3571 8.89319L8.3584 7.06006V11.2771Z" fill="#141414"/>
                <path d="M4.35962 8.89319L8.35837 11.2771V7.06006L4.35962 8.89319Z" fill="#393939"/>
            </g>
            <defs>
                <clipPath id="clip0_210_85">
                    <rect width="8" height="13.1429" fill="white" transform="translate(4.35962 2.20129)"/>
                </clipPath>
            </defs>
        </svg>
    }

    return <></>
};

export default Icon;
